<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Notas.aspx.cs" Inherits="Seven.Front.Notas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("Notas") %> [2.8]</title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid del Detalle de la Nota 
        * JQ02 - Grid de las Formas de Pago de la Nota
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Selección Principal
        * B02 - Información Principal 
        * B03 - Importes
        * B04 - Grid del Detalle de la Nota
        * 
        */
        
    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Detalle de la Nota */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetND() {
            $.ajax({
                url: 'Servicio.svc/GetNotaServicios',
                data: {
                    "id_hfac": $('#IdSubElementFA').val(), "credito": $('input[name=rbNota]:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try {
                        var res = JSON.parse(json.d);
                        $('#HidNotaServ').html(res.h);
                        $("#jqgND").jqGrid('setColProp', 'id_pre0', { editoptions: { value: res.c } });
                        GetND2();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetND2() {
            $.ajax({
                url: 'Servicio.svc/GetNotaDetalles',
                data: {
                    "id_hfac": $('#IdSubElementFA').val(), "credito": $('input[name=rbNota]:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {
                        $("#jqgND").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgND")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgND").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutND(id, id_hfac, id_pre0, importe_nota, tasa, tasa_mb_co, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutNotaDetalles',
                data: {
                    "id_lnot": id, "id_hfac": $('#IdSubElementFA').val(), "id_pre0": id_pre0
                    , "importe_nota": importe_nota, "tasa": $('#txtTasa').html(), "tasa_mb_co": "0"
                    , "credito": $('input[name=rbNota]:checked').val(), "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementND').val(0);
                            BotonDefaultND();
                            //RefreshGridND();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultND();
                                //RefreshGridND();
                            }
                            else {
                                $('#IdSubElementND').val(res);
                                BotonDefaultND();
                                //RefreshGridND();
                            }
                        }
                        GetNF();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridND() {

            var lselND;
            var colMap = {};
            $("#jqgND").jqGrid({
                datatype: 'local',
                height: 100,
                width: 300,
                colNames: ['', '', '<%=L.LBL("LblFDKSConcepto") %>', '<%=L.LBL("LblGENImporte") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_hfac', index: 'id_hfac', width: 10, editable: true, hidden: true },
                            {
                                name: 'id_pre0', index: 'id_pre0', width: 25, editable: true, formatter: 'select',
                                edittype: "select",
                                editoptions: {<%=Utils.cbDummy %> },
                                searchoptions: {<%=Utils.cbDummy %> },
                                stype: "select",
                                search: true
                            },
                            { name: 'importe_nota', index: 'importe_nota', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'tasa', index: 'tasa', width: 10, editable: true, hidden: true },
                            { name: 'tasa_mb_co', index: 'tasa_mb_co', width: 10, editable: true, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselND) && !isNaN(id)) {
                            $("#jqgND").jqGrid('delRowData', lselND);
                            //$('#jqgND').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgND").jqGrid('getRowData', id);

                            $('#jqgND').jqGrid('restoreRow', lselND);

                            $('#IdSubElementND').val(ret.Id);
                        }
                        else {
                            BotonNuevoND();
                        }

                        //$('#jqgND').jqGrid('saveRow', lselND);
                        $('#jqgND').jqGrid('editRow', id, true, EventsND);

                        lselND = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselND)) {
                            $("#jqgND").jqGrid('delRowData', lselND);
                            $('#jqgND').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgND').jqGrid('saveRow', lselND);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgND').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgND").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextND').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconND').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextND').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconND').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgND').jqGrid('setSelection', id); 

                        BotonSelectND();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgND").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementND').val()) == 0) {
                            $('#IdSubElementND').val($("#jqgND").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgND").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgND").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgND').jqGrid('setSelection', $('#IdSubElementND').val());
                    if (parseInt($('#IdSubElementND').val()) != 0) {
                        BotonSelectND();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgND").jqGrid('navGrid','#PaginadorND',{del:false,add:false,edit:false,search:false});
            $("#bsdataND").click(function () {
                jQuery("#jqgND").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsND(id) {
            $("#" + id + "_id_pre0").on('change', function ()
            {
                BotonGuardarND();
                $("#" + id + "_importe_nota").val($('#HID_NOS_precio' + $("#" + id + "_id_pre0").val()).val());
            });
            $("#" + id + "_importe_nota").on('input', function () { BotonGuardarND(); });
        }

        function EventsNewND() {
            var selr = jQuery('#jqgND').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_pre0").on('change', function ()
            {
                BotonGuardarND();
                $("#" + selr + "_importe_nota").val($('#HID_NOS_precio' + $("#" + selr + "_id_pre0").val()).val());
            });
            $("#" + selr + "_importe_nota").on('input', function () { BotonGuardarND(); });
            $("#" + selr + "_importe_nota").val($('#HID_NOS_precio' + $("#" + selr + "_id_pre0").val()).val());
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridND() {
            $("#jqgND").jqGrid("setGridParam", { datatype: "json", datatype: GetND, loadonce: true });
            $("#jqgND").trigger("reloadGrid");
            $("#jqgND").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateND() {
            $('#IdSubElementND').val(0);
            $("#jqgND").jqGrid('addRow', {
                initdata: { 'Id': '0' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonGuardarND();
            EventsNewND();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveND() {
            var id = $("#jqgND").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutND(id, $('#' + id + '_id_hfac').val(), $('#' + id + '_id_pre0').val(), $('#' + id + '_importe_nota').val(), $('#' + id + '_tasa').val(), $('#' + id + '_tasa_mb_co').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteND() {
            var id = $("#jqgND").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutND(id, $('#' + id + '_id_hfac').val(), $('#' + id + '_id_pre0').val(), $('#' + id + '_importe_nota').val(), $('#' + id + '_tasa').val(), $('#' + id + '_tasa_mb_co').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelND() {
            var id = $("#jqgND").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgND').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultND();
        }

        function BotonLockND() {
            $('#btnNuevoND').button('disable');
            $('#btnEliminarND').button('disable');
            $('#btnGuardarND').button('disable');
            $('#btnCancelarND').button('disable');
        }

        function BotonDefaultND() {
            $('#btnNuevoND').button('enable');
            $('#btnEliminarND').button('disable');
            $('#btnGuardarND').button('disable');
            $('#btnCancelarND').button('disable');
        }

        function BotonNuevoND() {
            $('#btnNuevoND').button('disable');
            $('#btnEliminarND').button('disable');
            $('#btnGuardarND').button('disable');
            $('#btnCancelarND').button('enable');
        }

        function BotonSelectND() {
            $('#btnNuevoND').button('enable');
            var id = $("#jqgND").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarND').button('enable');
            }
            else {
                $('#btnEliminarND').button('disable');
            }
            $('#btnGuardarND').button('disable');
            $('#btnCancelarND').button('disable');
        }

        function BotonGuardarND() {
            $('#btnNuevoND').button('disable');
            $('#btnEliminarND').button('disable');
            $('#btnGuardarND').button('enable');
            $('#btnCancelarND').button('enable');
        }

        <% /* JQ02 */ %>

        <% /* Código del jqGrid para Formas de Pago de la Nota */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetNC() {
            $.ajax({
                url: 'Servicio.svc/GetNotaCobros',
                data: {
                    "id_hfac": $('#IdSubElementFA').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    try {
                        $("#jqgNC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgNC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgNC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        GetTipoCobrosCombo();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutNC(id, id_hfac, id_tcob, id_cuenta, tarj_cred, entregado, tasa_monpag, comision, aplicado, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutNotaCobros',
                data: {
                      "id_noco": id, "id_hfac": $('#IdSubElementFA').val(), "id_tcob": id_tcob
                    , "id_cuenta": $('#cbCuentaComi').val(), "tarj_cred": $('#txtNumTarj').val(), "entregado": entregado
                    , "tasa_monpag": $('#txtTasa').html(), "comision": comision, "aplicado": aplicado
                    , "Eliminado": eli, "mes": $('#cbMonth').val(), "ano": $('#cbYear').val()
                    , "credito": $('input[name=rbNota]:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementNC').val(0);
                            BotonDefaultNC();
                            //RefreshGridNC();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultNC();
                                //RefreshGridNC();
                            }
                            else {
                                $('#IdSubElementNC').val(res);
                                BotonDefaultNC();
                                //RefreshGridNC();
                            }
                        }
                        GetNF();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridNC() {

            var lselNC;
            var colMap = {};
            $("#jqgNC").jqGrid({
                datatype: 'local',
                height: 100,
                width: 300,
                colNames: ['', '', '<%=L.LBL("LblGENTipoCobro") %>', '', '', '<%=L.LBL("LblGENImporte") %>', '', '', '<%=L.LBL("LblGENAplicado") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_hfac', index: 'id_hfac', search: false, hidden: true },
                            { name: 'id_tcob', index: 'id_tcob', width: 15, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { value: "" }},
                            { name: 'id_cuenta', index: 'id_cuenta', search: false, hidden: true },
                            { name: 'tarj_cred', index: 'tarj_cred', search: false, hidden: true },
                            { name: 'entregado', index: 'entregado', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'tasa_monpag', index: 'tasa_monpag', width: 10, search: false, hidden: true },
                            { name: 'comision', index: 'comision', width: 10, search: false, hidden: true },
                            { name: 'aplicado', index: 'aplicado', width: 10, search: false },
                            { name: 'fec_venc_m', index: 'fec_venc_m', width: 10, search: false, hidden: true },
                            { name: 'fec_venc_a', index: 'fec_venc_a', width: 10, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselNC) && !isNaN(id)) {
                            $("#jqgNC").jqGrid('delRowData', lselNC);
                            //$('#jqgNC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgNC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgNC").jqGrid('getRowData', id);

                            $('#jqgNC').jqGrid('restoreRow', lselNC);

                            $('#IdSubElementNC').val(ret.Id);

                            $('#txtNumTarj').val(ret.tarj_cred);
                            $('#cbMonth').val(ret.fec_venc_m);
                            $('#cbYear').val(ret.fec_venc_a);
                            $('#cbCuentaComi').val(ret.id_cuenta);
                        }
                        else {
                            BotonNuevoNC();
                        }

                        $('#jqgNC').jqGrid('editRow', id, true, EventsNC);

                        lselNC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselNC)) {
                            $("#jqgNC").jqGrid('delRowData', lselNC);
                            $('#jqgNC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgNC').jqGrid('saveRow', lselNC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgNC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgNC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextNC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconNC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextNC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconNC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgNC').jqGrid('setSelection', id); 

                        BotonSelectNC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgNC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementNC').val()) == 0) {
                            $('#IdSubElementNC').val($("#jqgNC").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgNC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgNC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgNC').jqGrid('setSelection', $('#IdSubElementNC').val());
                    if (parseInt($('#IdSubElementNC').val()) != 0) {
                        BotonSelectNC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgNC").jqGrid('navGrid','#PaginadorNC',{del:false,add:false,edit:false,search:false});
            $("#bsdataNC").click(function () {
                jQuery("#jqgNC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsNC(id) {
            $("#" + id + "_id_hfac").on('change', function () { BotonGuardarNC(); });
            $("#" + id + "_id_tcob").on('change', function ()
            {
                BotonGuardarNC();
                UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $("#" + id + "_id_tcob").val()).val());
                SetAccount($("#" + id + "_id_tcob").val());
            });
            $("#" + id + "_id_cuenta").on('change', function () { BotonGuardarNC(); });
            $("#" + id + "_tarj_cred").on('input', function () { BotonGuardarNC(); });
            $("#" + id + "_entregado").on('input', function () { BotonGuardarNC(); });
            $("#" + id + "_tasa_monpag").on('input', function () { BotonGuardarNC(); });
            $("#" + id + "_comision").on('input', function () { BotonGuardarNC(); });
            $("#" + id + "_aplicado").on('input', function () { BotonGuardarNC(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarNC(); });
            UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $("#" + id + "_id_tcob").val()).val());
            //SetAccount($("#" + id + "_id_tcob").val());
        }

        function EventsNewNC() {
            var selr = jQuery('#jqgNC').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_hfac").on('change', function () { BotonGuardarNC(); });
            $("#" + selr + "_id_tcob").on('change', function ()
            {
                BotonGuardarNC();
                UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $("#" + selr + "_id_tcob").val()).val());
                SetAccount($("#" + selr + "_id_tcob").val());
            });
            $("#" + selr + "_id_cuenta").on('change', function () { BotonGuardarNC(); });
            $("#" + selr + "_tarj_cred").on('input', function () { BotonGuardarNC(); });
            $("#" + selr + "_entregado").on('input', function () { BotonGuardarNC(); });
            $("#" + selr + "_tasa_monpag").on('input', function () { BotonGuardarNC(); });
            $("#" + selr + "_comision").on('input', function () { BotonGuardarNC(); });
            $("#" + selr + "_aplicado").on('input', function () { BotonGuardarNC(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarNC(); });
            UnlockCIERCreditCardAccountFields($('#HID_TC_id_fpag_' + $("#" + selr + "_id_tcob").val()).val());
            SetAccount($("#" + selr + "_id_tcob").val());
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridNC() {
            $("#jqgNC").jqGrid("setGridParam", { datatype: "json", datatype: GetNC, loadonce: true });
            $("#jqgNC").trigger("reloadGrid");
            $("#jqgNC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateNC() {
            $('#IdSubElementNC').val(0);
            $("#jqgNC").jqGrid('addRow', {
                initdata: { 'Id': '0', 'entregado': '<%=string.Format("{0:N2}", 0) %>' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonNuevoNC();
            EventsNewNC();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveNC() {
            var id = $("#jqgNC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutNC(id, $('#' + id + '_id_hfac').val(), $('#' + id + '_id_tcob').val(), $('#' + id + '_id_cuenta').val()
                    , $('#' + id + '_tarj_cred').val(), $('#' + id + '_entregado').val(), $('#' + id + '_tasa_monpag').val()
                    , $('#' + id + '_comision').val(), $('#' + id + '_aplicado').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteNC() {
            var id = $("#jqgNC").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutNC(id, $('#' + id + '_id_hfac').val(), $('#' + id + '_id_tcob').val(), $('#' + id + '_id_cuenta').val()
                    , $('#' + id + '_tarj_cred').val(), $('#' + id + '_entregado').val(), $('#' + id + '_tasa_monpag').val()
                    , $('#' + id + '_comision').val(), $('#' + id + '_aplicado').val(), $('#' + id + '_eliminado').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelNC() {
            var id = $("#jqgNC").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgNC').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultNC();
        }

        function BotonLockNC() {
            $('#btnNuevoNC').button('disable');
            $('#btnEliminarNC').button('disable');
            $('#btnGuardarNC').button('disable');
            $('#btnCancelarNC').button('disable');
        }

        function BotonDefaultNC() {
            $('#btnNuevoNC').button('enable');
            $('#btnEliminarNC').button('disable');
            $('#btnGuardarNC').button('disable');
            $('#btnCancelarNC').button('disable');
        }

        function BotonNuevoNC() {
            $('#btnNuevoNC').button('disable');
            $('#btnEliminarNC').button('disable');
            $('#btnGuardarNC').button('disable');
            $('#btnCancelarNC').button('enable');
        }

        function BotonSelectNC() {
            $('#btnNuevoNC').button('enable');
            var id = $("#jqgNC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarNC').button('enable');
            }
            else {
                $('#btnEliminarNC').button('disable');
            }
            $('#btnGuardarNC').button('disable');
            $('#btnCancelarNC').button('disable');
        }

        function BotonGuardarNC() {
            $('#btnNuevoNC').button('disable');
            $('#btnEliminarNC').button('disable');
            $('#btnGuardarNC').button('enable');
            $('#btnCancelarNC').button('enable');
        }

        <% /* JS_FUN */ %>

        function rbModoAction()
        {
            var m = parseInt($('input[name=rbNota]:checked').val());
            if (m == 0)
            {
                $('#lblImporte').html('<%=L.LBL("LblFDKOFImpACobrar") %>');
            }
            else
            {
                $('#lblImporte').html('<%=L.LBL("LblGENImporteDevolver") %>')
            }
        }

        function GetNF()
        {
            var folio = parseInt($('#txtNroFolio').val());
            if (!isNaN(folio))
            {
                GetNotaFolios(folio);
            }
        }

        function GetNotaFolios(folio) {
            $.ajax({
                url: 'Servicio.svc/GetNotaFolios',
                data: {
                    "nro_folio": folio, "reload": $('#IdSubElementRLD').val(), "credito": $('input[name=rbNota]:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $('#HidNotaFolios').html(json.d);
                        LoadForm();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function BotonDefaultNO() {
            $('#btnEliminarNO').button('disable');
            $('#btnGuardarNO').button('disable');
            $('#btnCancelarNO').button('disable');
        }

        function BotonSelectNO() {
            var tipo = parseInt($('input[name=rbNota]:checked').val());
            if (tipo == 1) {
                $('#btnEliminarNO').button('enable');
            }
            $('#btnGuardarNO').button('enable');
            $('#btnCancelarNO').button('enable');
        }

        function LoadForm()
        {
            ResetForm();

            $('#IdSubElementFA').val($('#HIDNota_id_hfac').val());

            var fact = $('#IdSubElementFA').val();
            if (fact != 0) {
                $('#IdSubElementMON').val($('#HIDNota_id_mone').val());
                var origen = parseInt($('#HIDNota_origen').val());

                if (origen == 1)
                {
                    $('#lblNombre').html('<%=L.LBL("LblGENName") %>');
                    $('#txtNombre').html($('#HIDNota_nombre').val());
                    $('#lblTarifa').html('<%=L.LBL("LblGENTarifa") %>');

                }
                if (origen == 2)
                {
                    $('#lblNombre').html('<%=L.LBL("LblGENTitular") %>');
                    $('#txtNombre').html($('#HIDNota_nombre').val());
                    $('#lblTarifa').html('<%=L.LBL("LblGENType") %>');
                }
                if (origen == 3)
                {
                    $('#lblNombre').html('<%=L.LBL("LblFDKEstancias") %>');
                    $('#txtNombre').html($('#HIDNota_desde').val() + " - " + $('#HIDNota_hasta').val());
                    $('#lblTarifa').html('<%=L.LBL("LblGENTarifa") %>');
                }

                $('#txtNroFactura').html($('#HIDNota_nro_documento').val());

                $('#txtTasa').html($('#HIDNota_tasa').val());
                $('#txtComision').html($('#HIDNota_comision').val());
                //$('#txtconvertible').val($('#HIDNota_convertible').val());
                $('#txtFechaCierre').html($('#HIDNota_fecha_cierre').val());
                $('#txtMoneda').html($('#HIDNota_cod_mone').val());
                $('#txtMoneda2').html($('#HIDNota_cod_mone').val());
                $('#txtTipoFact').html($('#HIDNota_tipo_fact').val());
                
                //$('#txtid_cont').val($('#HIDNota_id_cont').val());
                $('#txtTarifa').html($('#HIDNota_tarifa').val());
                //$('#txtdesde').val($('#HIDNota_desde').val());
                //$('#txthasta').val($('#HIDNota_hasta').val());
                $('#txtImporteFolio').val($('#HIDNota_impo_folio').val());
                $('#txtNotasAnt').val($('#HIDNota_impo_notas').val());
                $('#txtTotalA').val($('#HIDNota_total_a').val());
                $('#txtImporteNota').val($('#HIDNota_impo_nota').val());
                $('#txtImporteCobrar').val($('#HIDNota_impo_nota').val());
                $('#txtTotalB').val($('#HIDNota_total_b').val());
                $('#txtTotalEntregado').val($('#HIDNota_entregado').val());
                $('#txtTotalRestante').val($('#HIDNota_restante').val());

                $('input[name=rbNota]').prop('disabled', true);
                $('#txtNroFolio').prop('disabled', true);

                RefreshGridND();
                RefreshGridNC();

                //GetTipoCobrosCombo();

                BotonSelectNO();
                BotonDefaultND();
                BotonDefaultNC();

                $('#IdSubElementRLD').val(0);
            }
            else
            {
                $('#IdSubElementFA').val(0);
            }
        }

        function ResetForm()
        {
            $('#IdSubElementFA').val(0);
            $('#IdSubElementMON').val(0);
            //$('#txtorigen').val(0);
            $('#lblNombre').html('<%=L.LBL("LblGENName") %>');
            $('#lblTarifa').html('<%=L.LBL("LblGENTarifa") %>');
            $('#txtNroFactura').html('');
            $('#txtTasa').html('');
            $('#txtComision').html('');
            //$('#txtconvertible').val(0);
            $('#txtFechaCierre').html('');
            $('#txtMoneda').html('');
            $('#txtMoneda2').html('');
            $('#txtTipoFact').html('');
            $('#txtNombre').html('');
            //$('#txtid_cont').val(0);
            $('#txtTarifa').html('');
            //$('#txtdesde').val('');
            //$('#txthasta').val('');
            $('#txtImporteFolio').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtNotasAnt').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtTotalA').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtImporteNota').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtImporteCobrar').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtTotalB').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtTotalEntregado').val('<%=string.Format("{0:N2}", 0) %>');
            $('#txtTotalRestante').val('<%=string.Format("{0:N2}", 0) %>');
            $('#cbCuentaComi').val(0);
            $('#txtMotivo').val('');

            $('#jqgND').jqGrid('clearGridData');
            $('#jqgNC').jqGrid('clearGridData');
        }

        function FullReset()
        {
            BotonLockND();
            BotonLockNC();
            $('input[name=rbNota]').prop('disabled', false);
            $('#txtNroFolio').prop('disabled', false);
            $('#txtNroFolio').val('');
            BotonDefaultNO();
            $('#cbTipoCobro').html('');
            $('#IdSubElementRLD').val(1);
            UnlockCIERCreditCardAccountFields(3);

            ResetForm();
        }

        function GetTipoCobrosCombo() {
            $.ajax({
                url: 'Servicio.svc/GetTipoCobrosComboJQGrid',
                data: {
                    "Modo": 2, "id_mone": $('#IdSubElementMON').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {
                        $("#jqgNC").jqGrid('setColProp', 'id_tcob', { editoptions: { value: $.parseJSON(json.d) } });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function UnlockCIERCreditCardAccountFields(fp) {
            if (parseInt(fp) == 2) {
                $('#txtNumTarj').prop('disabled', true);
                $('#txtNumTarj').val('');
                $('#cbMonth').prop('disabled', true);
                $('#cbYear').prop('disabled', true);
                $('#cbCuentaComi').prop('disabled', false);
            }
            else if (parseInt(fp) == 3) {
                $('#txtNumTarj').prop('disabled', false);
                $('#cbMonth').prop('disabled', false);
                $('#cbYear').prop('disabled', false);
                $('#cbCuentaComi').prop('disabled', true);
                //$('#cbCuentaComi').val(0);
            }
            else {
                $('#txtNumTarj').prop('disabled', true);
                $('#txtNumTarj').val('');
                $('#cbMonth').prop('disabled', true);
                $('#cbYear').prop('disabled', true);
                $('#cbCuentaComi').prop('disabled', true);
                //$('#cbCuentaComi').val(0);
            }
        }

        function SetAccount(id) {
            // Jalar la cuenta
            $('#cbCuentaComi').val($('#HID_TC_id_cuenta_' + id).val());
            // Si es cxc y cuenta fija es cero y, la tarifa / f.e. tiene cuenta, usarla.
            if (parseInt($('#HID_TC_id_fpag_' + id).val()) == 2 && parseInt($('#HID_TC_TipoCxc_' + id).val()) == 0) {
                if (parseInt($('#HIDNota_id_cuenta').val()) != 0) {
                    $('#cbCuentaComi').val($('#HIDNota_id_cuenta').val());
                }
            }
        }

        function NotasEmitir() {
            $.ajax({
                url: 'Servicio.svc/PutNotasEmitir',
                data: {
                    "id_hfac": $('#IdSubElementFA').val()
                    , "id_tcob": $('#cbTipoCobro').val(), "tarj_cred": $('#txtNumTarj').val()
                    , "fec_venc": $('#txtVencimiento').val(), "id_cuenta": $('#cbCuentaComi').val(), "motivo": $('#txtMotivo').val()
                    , "credito": $('input[name=rbNota]:checked').val(), "entregado": $('#txtImporteCobrar').val()
                    , "tasa": $('#txtTasa').html()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        window.open("Informe.aspx?r=170&n=" + json.d, "_blank");
                        BotonLockND();
                        FullReset();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function AnularFact(id, id_hfac, id_pre0, importe_nota, tasa, tasa_mb_co, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/NOAnulacionAutomatica',
                data: {
                    "id_hfac": $('#IdSubElementFA').val(), "tasa": $('#txtTasa').html()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando8').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando8').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        GetNF();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_BASE */%>

        function ImprimirFactura()
        {
            var origen = parseInt($('#HIDNota_origen').val());

            if (origen != 3)
            {
                window.open('Informe.aspx?r=180&id=' + $('#IdSubElementFA').val(), '_blank');
            }
            else
            {
                window.open('Informe.aspx?r=190&n=' + $('#txtNroFolio').val() + '&mb=0', '_blank');
            }
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=205&e=' + $('#cbEliminado:checked').val(), '_blank');
        }


    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 2);

            LoadGridND();
            LoadGridNC();

            BotonDefaultNO();
            BotonLockND();
            BotonLockNC();

            UnlockCIERCreditCardAccountFields(3);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <style type="text/css">
        .TblTotales td
        {
            padding-top: 2px; 
            padding-bottom: 2px;
        }
    </style>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Notas.aspx"><%=L.TIT("Notas") %> [2.8]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 600px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Notas") %> [2.8]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-8-notas-de-d%C3%A9bito-cr%C3%A9dito/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HidNotaFolios">
                    </div>
                    <div id="HabFEData">
                    </div>
                    <div id="HidNotaServ">
                    </div>
                    <div id="HidTipoCobros">
                        <%=hidTipoCobros %>
                    </div>
                </div>

                <br />

                <table>
                    <tr>
                        <td style="width: 250px;">
                            <table style="width: 100%;">
                                <tr>
                                    <td>
                                        <% /* B01 */%>

                                        <fieldset>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <b style="font-size: 12pt;"><%=L.LBL("LblFDKNONotaDe") %>:</b>
                                                    </td>
                                                    <td style="font-size: 12pt;">
                                                        <input type="radio" name="rbNota" value="0" checked="checked" onclick="rbModoAction();" /><%=L.LBL("LblGENDebito") %><br />
                                                        <input type="radio" name="rbNota" value="1" onclick="rbModoAction();" /><%=L.LBL("LblFDKCredito") %><br />
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>

                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <% /* B02 */%>

                                        <fieldset>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <b><%=L.LBL("LblFDKOFNroFolio") %>:</b>
                                                    </td>
                                                    <td colspan="2">
                                                        <input type="text" id="txtNroFolio" value="" style="font-weight: bold; color: maroon; width: 100px;" onblur="GetNF();" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <span id="txtTipoFact" style="font-weight: bold; color: blue;" />
                                                    </td>
                                                    <td>
                                                        <b><%=L.LBL("LblGENMoney") %>:</b>
                                                    </td>
                                                    <td>
                                                        <span id="txtMoneda" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <b><%=L.LBL("LblGENFactura") %>:</b>
                                                    </td>
                                                    <td colspan="2">
                                                        <span id="txtNroFactura" style="font-weight: bold; color: purple; cursor: pointer;" onclick="ImprimirFactura();"></span>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="vertical-align: top;">
                                                        <b><span id="lblNombre"><%=L.LBL("LblGENName") %></span>:</b>
                                                    </td>
                                                    <td colspan="2" style="white-space: normal;">
                                                        <div style="height: 57px;"><span id="txtNombre"></span></div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="vertical-align: top;">
                                                        <b><span id="lblTarifa"><%=L.LBL("LblGENTarifa") %></span>:</b>
                                                    </td>
                                                    <td colspan="2" style="white-space: normal;">
                                                        <div style="height: 20px;"><span id="txtTarifa"></span></div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <b><%=L.LBL("LblGENFechaEmision") %>:</b>
                                                    </td>
                                                    <td colspan="2">
                                                        <span id="txtFechaCierre"></span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>

                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <% /* B03 */%>

                                        <fieldset>
                                            <table class="TblTotales">
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKLFAImporteFact") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtImporteFolio" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKNONotasAnteriores") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtNotasAnt" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENTotal") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtTotalA" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <hr />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENImporteNota") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtImporteNota" value="<%=string.Format("{0:N2}", 0) %>" style="color: maroon; width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENTotal") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtTotalB" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <hr />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENEntregado") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtTotalEntregado" value="<%=string.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENRestante") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtTotalRestante" value="<%=string.Format("{0:N2}", 0) %>" style="color: red; width: 100px; text-align: right" disabled="disabled" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <% /* B04 */%>

                                        <table>
                                            <tr>
                                                <td>
                                                    <input type="hidden" id="IdSubElementND" value="0" />
                                                    <input type="hidden" id="IdSubElementFA" value="0" />
                                                    <input type="hidden" id="IdSubElementMON" value="0" />
                                                    <input type="hidden" id="IdSubElementRLD" value="1" />
                                                    <table id="jqgND"></table>
                                                </td>
                                                <td>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnNuevoND" onclick="CreateND();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnEliminarND" onclick="DeleteND();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img id="btnEliminarIconND" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnGuardarND" onclick="SaveND();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnCancelarND" onclick="CancelND();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                        <br />

                                        <table>
                                            <tr>
                                                <td>
                                                    <input type="hidden" id="IdSubElementNC" value="0" />
                                                    <table id="jqgNC"></table>
                                                </td>
                                                <td>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnNuevoNC" onclick="CreateNC();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnEliminarNC" onclick="DeleteNC();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img id="btnEliminarIconNC" src="img/cross-script.png" alt="<%=L.LBL("LblGENCelete") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnGuardarNC" onclick="SaveNC();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <button type="button" id="btnCancelarNC" onclick="CancelNC();">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                        </tr>
                                                                    </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <% /* B05 */%>

                                        <fieldset>
                                            <table style="width: 100%;">
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKSNroTarjeta") %>
                                                    </td>
                                                    <td rowspan="4">
                                                        <div style="background-color: #FCFFDE; border: 1px solid black; width: 100%; padding: 3px;">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <b><%=L.LBL("LblGENMoney") %>:</b>
                                                                    </td>
                                                                    <td>
                                                                        <span id="txtMoneda2"></span>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <b><%=L.LBL("LblGENRate") %>:</b>
                                                                    </td>
                                                                    <td>
                                                                        <span id="txtTasa"></span>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <b><%=L.LBL("LblGENCommission") %>:</b>
                                                                    </td>
                                                                    <td>
                                                                        <span id="txtComision"></span>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtNumTarj" value="" style="width: 150px;" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENVencimiento") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=Utils.MonthCombo() %> / <%=Utils.YearCombo() %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <%=L.LBL("LblFDKSCuentaCredito") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <select name="cbCuentaComi" id="cbCuentaComi" onchange="" style="width: 200px;" disabled="">
                                                            <option value="0"></option>
                                                            <%
                                                                foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <%=L.LBL("LblGENMotivo") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <textarea id="txtMotivo" style="width: 320px; height: 43px;"></textarea>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td>
                                        <button type="button" id="btnEliminarNO" onclick="AnularFact();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconNO" src="img/cross-script.png" alt="<%=L.LBL("LblFDKAnulacionAutomatica") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextNO"><%=L.LBL("LblFDKAnulacionAutomatica") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td style="width: 100%;"></td>
                                    <%--<td>
                                        <button type="button" id="btnNuevoNO" onclick="CreateNO();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>--%>
                                    <td>
                                        <button type="button" id="btnGuardarNO" onclick="NotasEmitir();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/tick.png" alt="<%=L.LBL("LblGENEmitir") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENEmitir") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarNO" onclick="FullReset();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

